
 /* MEMORY.PRG  Tom Groeger 1993
    Sound & Vision for Clipper (c) Demonstration Code  */


  #include "SOUNDVIS.CH"
  #include "INKEY.CH"

  #define  F_WBLUE     31               // LiteWhite on Blue
  #define  F_NHB       48               // Black on LiteBlue
  #define  F_NW       112               // Black on White
  #define  F_RW       116               // Red on White
  #define  F_WBROWN   191               // LiteWhite on Brown (converted)
  #define  F_NBEIGE   208               // black on Beige     (converted)
  #define  F_RBEIGE   212               // red on Beige       (converted)



/*
    ShowMem () -> nil                                   
    Demofunction to track your Applications appetite    
    for Memory.                                         
    It shows the functions ISCPU () and ISVIDEO(),      
    and on top of it all the ( mostly undocumented )    
    MEMORY () calls                                     
  */


  FUNCTION ShowMem()

  LOCAL cCol, nkey, oWin, Getlist := {}
  

  CREATE WINDOW oWin FROM 3,15  TO 21,65 ;
         TITLE   'System-Info';
         TYP      WIN_MESSAGE ;
         TOPCOLOR F_WBROWN ;
         WINCOLOR F_NBEIGE


  cCol := SETCOLOR ('N/*RB')


 // descriptions
 // -------------
    @  2, 5 SAY 'CPU'
    @  4, 5 SAY 'Video Adapter'
    @  6, 5 SAY 'Conventional Memory      KByte'    //Mem(0)
    @  7, 5 SAY 'Free Swap-Memory         KByte'    //Mem(0)+MEM(103)
    @  8, 5 SAY 'Largest StringObject     KByte'    //Mem(1)
    @  9, 5 SAY 'Free Run-Memory          KByte'    //Mem(2)
    @ 10, 5 SAY 'String/Array Memory      KByte'    //Mem(3)
    @ 11, 5 SAY 'Available EMS-Memory     KByte'    //Mem(4)+(105)
    @ 12, 5 SAY 'Locked Heap-Segments     KByte'    //Mem(101)
    @ 13, 5 SAY 'Segments in Heap'                  //Mem(102)
    @ 14, 5 SAY 'Unused Conv. Memory      KByte'    //Mem(104)

 // draw button
 // -------------
    @ 16, 20 GET nkey AS PUSHBUTTON {'  ~OK  '}  ;
                      INITIAL 1 ;
                      COLOR F_NW ;
                      HOTKEY F_RW

 // show memory() returns
 // ----------------------
    SETCOLOR ('+GR/*RB')

    @  2,15 SAY IIF( IsExtender(), '(Protected Mode)', '(Real Mode)')
    @  2,38 SAY IsCpu ( .t.)
    @  4,34 SAY IsVideo(.t.)

    memory (-1)

    @  6,38 SAY MEMORY(0)             PICT '99999'
    @  7,38 SAY MEMORY(0)+MEMORY(103) PICT '99999'
    @  8,38 SAY MEMORY(1)             PICT '99999'
    @  9,38 SAY MEMORY(2)             PICT '99999'
    @ 10,38 SAY MEMORY(3)             PICT '99999'

    @ 11,38 SAY MEMORY(4)+MEMORY(105) PICT '99999'
    @ 12,38 SAY MEMORY(101)           PICT '99999'
    @ 13,38 SAY MEMORY(102)           PICT '99999'
    @ 14,38 SAY MEMORY(104)           PICT '99999'


    READ
    SETCOLOR(cCol)
    CLOSE WINDOW oWin

 RETURN( NIL )

