
 /* SYSINIT.PRG  Tom Groeger 1993
    Sound & Vision for Clipper (c) Demonstration Code  */


  #include "SOUNDVIS.CH"


/*
    INIT PROCEDURE SYSINIT()                            
    sysinit replaces a Clipper-Lib function, which      
    installs the default Errorhandler by calling        
    Errorsys() and then creating the public Getlist-    
    Array.                                              
    I don't like a PUBLIC Getlist ( would you ?), so    
    here we just call ErrorSys() and skip the creation  
    of the Getlist; instead we create a local Getlist   
    where we need one. This saves valuable DGROUP mem   
    and helps to write local 'Blackbox' functions.      
    From now on, you have to include a                  
               LOCAL Getlist := {}                      
    in any function that uses GETs. If you don't want   
    this, just delete the ANNOUCE __APPINIT Statement   
    ( and the Errorsys() call )                         
    Because this is an INIT PROCEDURE, we can be sure   
    that our Sound & Vision Init-Stuff will be called   
    before any other Clipper code ; and that's what we  
    need !                                              
  */


   #ifdef CLIPPER52

      ANNOUNCE SYSINIT

   #ENDIF


 INIT PROCEDURE SYSINIT ()

   LOCAL nMouse, lFont := .f.
   LOCAL lSound := .f.
   LOCAL cMessage
   LOCAL aButton := {'~OK','~Cancel'}

   /* Install default Errorhandler */
       ErrorSys()

   /* Install our Mouse-event Driver */
       nMouse := Mse_Init()

   /* load S&V Font */
       lFont := SET_FONT ()

   /* Init Sb */
       lSound := SbInit()


  RETURN


